# Status

## Get Status

<mark style="color:blue;">`GET`</mark> `https://hedera-serverless-consensus.vercel.app/api/status`

This endpoint allows you to get the current status of the client, this information can be hidden by setting **HIDE\_STATUS** in your environment variables.\
\
**Note:** The **authenticationKey** could return as false if it is shorter then 10 characters.

{% tabs %}
{% tab title="200 The current status of the deployed client." %}

```
{
    "message": "Your environment status for your client",
    "environment_status": {
        "hederaAccountId": true,
        "hederaPrivateKey": true,
        "authenticationKey": true
    },
    "meta": {
        "hint": "Hide this status endpoint by setting \"HIDE_STATUS=TRUE\" in your environment"
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.trust.enterprises/rest-api/status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
